Subject: Re: Consistent terminology: cached/staged/index

From: Matthieu Moy <[email-masked]>
Date: Tue, 01 Mar 2011 10:15:58 +0100

David <[email-masked]> writes:

> A suggestion: could your conceptual bucket be named as "the
> precommit".

I actually like it.

Maybe "precommit area", or "precommit something", because "precommit"
could be seen either as an action (like the pre-commit hook) or as a
place to put stuff.

As a non-native speaker, I didn't know what "staging area" really meant
in english, but the "area" part of the expression immediately made sense
to me. Had it been called the "foobar-ing area", I would have found it
more intuitive than cache or index ;-).

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/